#!/usr/bin/env bash
# shellcheck disable=SC1091

# lib.sh - source scripts.
# Copyright (c) 2022 ge <https://nixhacks.net/>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

LIBRARY="${LIBRARY:-./lib}"

. "$LIBRARY/common.sh"
. "$LIBRARY/backup.sh"
. "$LIBRARY/source.sh"
. "$LIBRARY/uri.sh"
. "$LIBRARY/handlers/sources/tar.sh"
. "$LIBRARY/handlers/sources/mysqldump.sh"
. "$LIBRARY/handlers/sources/pg_dump.sh"
. "$LIBRARY/handlers/targets/cp.sh"
. "$LIBRARY/handlers/targets/s3cmd.sh"

if [ -f "$LIBRARY/extra.sh" ]; then
    . "$LIBRARY/extra.sh"
fi
